Subject: Re: bug#66738: 30.0.50; Gud LLDB regressions

From: Gerd Möllmann <[email-masked]>
Date: Wed, 25 Oct 2023 11:06:02 +0200

Mattias Engdegård <[email-masked]> writes:

>> 1. M-x lldb RET leads to errors. *Messages* contains:
>> 
>> error in process filter: gud-marker-filter: Text is read-only
>> error in process filter: Text is read-only
>
> Sorry, I don't observe this myself.

Turns out it's comint-prompt-read-only, but...

>
>> I think this can also be seen
>> when binding inhibit-read-only around the delete-region.
>
> That sounds strange. Did you bind inhibit-read-only to `t`? That should have overridden any text protection.
> Unless I can reproduce it, I'm afraid you are left with the task to
> debug it.

...I'll fix this myself, thank you.

Yeah, I did that. But it seems I have misinterpreted what the intention
of the delete-region is.  (I'm kind of refusing to read the partial
terminal enumlator part of the code :-).

>
>> 2. Nitpick: when extracting the file name in the filter function, with
>> 
>>              (group (+ (not (in "\n\r"))))    ; 3: file
>> 
>> this means that file names cannot contain LF and CR, which they actually
>> can.
>
> And that is a possibility that I'm going to ignore unless it's
> actually a security problem (and I don't think it is).  File names
> containing control characters on purpose are excessively rare in Unix
> systems and disallowed on Windows (at least 0-31).

Then let me ask differently: why did you change this in the first place?